Bug 1463516 - Content-view filter and content-view update cmds should not requires --organization-id or --organization option
Content-view filter and content-view update cmds should not requires --organi...
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Views (Show other bugs)
6.3.0
x86_64 Linux
unspecified Severity high (vote)
: Beta
: --
Assigned To: satellite6-bugs
Kedar Bidarkar
http://projects.theforeman.org/issues...
: Regression, Triaged
Depends On: 1359665
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-21 03:41 EDT by Djebran Lezzoum
Modified: 2018-02-21 11:51 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1359665
Environment:
Last Closed: 2018-02-21 11:51:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 15889 None None None 2017-06-21 03:41 EDT

  None (edit)
Description Djebran Lezzoum 2017-06-21 03:41:40 EDT
+++ This bug was initially created as a clone of Bug #1359665 +++

Description of problem:
In ou automation we saw that bunch of cv filter and CV update tests are failing with below error:

 Error: Could not find organization, please set one of options --organization, --organization-label, --organization-id.


Earlier, automation was executing those tests without this error. I tried those tests manually and found same error like:


Create CV filter requires --organization/--organization-label/--organization-id.

----
 ~]# hammer -v -u admin -p changeme --output=csv content-view filter create --type="rpm" --content-view-id="1" --name="test" --inclusion="true"
[ERROR 2016-07-25 01:57:53 Exception] Error: Could not find organization, please set one of options --organization, --organization-label, --organization-id.
Could not create the filter:
  Error: Could not find organization, please set one of options --organization, --organization-label, --organization-id.
-----

with --organization-id it was created. However, I think it should be created without passing --organization-id option since we are passing cv id.

~]# hammer -v -u admin -p changeme --output=csv content-view filter create --type="rpm" --content-view-id="1" --name="test" --inclusion="true" --organization-id=1
Message,Id,Name
Filter created,1,test


Similar issue with following cmds:

- content-view update
- cv filter create/update/delete 


2016-07-23 17:52:31 - robottelo.ssh - DEBUG - >>> [qe-sat6-rhel6.satqe.lab.eng.rdu2.redhat.com] LANG=en_US.UTF-8  hammer -v -u admin -p changeme --output=csv content-view update --component-ids="327" --id="355"
2016-07-23 17:52:31 - robottelo.ssh - INFO - Instantiated Paramiko client 0x7f698efcfcd0
2016-07-23 17:52:33 - robottelo.ssh - INFO - Destroying Paramiko client 0x7f698efcfcd0
2016-07-23 17:52:33 - robottelo.ssh - INFO - Destroyed Paramiko client 0x7f698efcfcd0
2016-07-23 17:52:33 - robottelo.ssh - DEBUG - <<< stderr
[ERROR 2016-07-23 17:52:33 Exception] Error: Could not find organization, please set one of options --organization, --organization-label, --organization-id.
Could not update the content view:
  Error: Could not find organization, please set one of options --organization, --organization-label, --organization-id.
[ERROR 2016-07-23 17:52:33 Exception] 


Version-Release number of selected component (if applicable):
sat62 GA snap21.1 RC build

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
cv filter create/update/delete cmds requires --organization-id option 

Expected results:
--organization-id was not required earlier. Moreover when user is passing CV-id then explicitly --organization/otganization-id option should not be required.

similar issue is with cv update, why user need to pass --organization-id

Additional info:

--- Additional comment from Sachin Ghai on 2016-07-25 05:17:24 EDT ---

Looks like regression introduced because of changes in:

https://bugzilla.redhat.com/show_bug.cgi?id=1309107
https://bugzilla.redhat.com/show_bug.cgi?id=1357557

--- Additional comment from RHEL Product and Program Management on 2016-07-25 06:14:39 EDT ---

Since this issue was entered in Red Hat Bugzilla, the pm_ack has been
set to + automatically for the next planned release

--- Additional comment from RHEL Product and Program Management on 2016-07-25 18:32:15 EDT ---

This bug report previously had all acks and release flag approved.
However since at least one of its acks has been changed, the
release flag has been reset to ? by the bugbot (pm-rhel).  The
ack needs to become approved before the release flag can become
approved again.

--- Additional comment from Ivan Necas on 2016-07-26 03:09:16 EDT ---

Is this generic hammer or content specific bug?

--- Additional comment from Martin Bacovsky on 2016-07-26 07:25:00 EDT ---

It is content specific, probably related to the bugs mentioned in c#1

--- Additional comment from Andrew Kofink on 2016-07-28 13:15:04 EDT ---

Created redmine issue http://projects.theforeman.org/issues/15889 from this bug

--- Additional comment from  on 2016-08-04 11:41:22 EDT ---

Verified in Satellite 6.2.1

[root@ibm-x3550m3-10 puppet]# hammer -v --output=csv content-view filter create --type="rpm" --content-view-id="1" --name="test" --inclusion="true"
Message,Id,Name
Filter created,1,test

--- Additional comment from errata-xmlrpc on 2016-08-15 16:20:37 EDT ---

Bug report changed to RELEASE_PENDING status by Errata System.
Advisory RHBA-2016:24411-14 has been changed to PUSH_READY status.
https://errata.devel.redhat.com/advisory/24411

--- Additional comment from errata-xmlrpc on 2016-08-16 03:11:37 EDT ---

Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1615
Comment 3 pm-sat@redhat.com 2017-06-21 04:15:40 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/15889 has been resolved.
Comment 4 Djebran Lezzoum 2017-06-21 04:34:02 EDT
on 6.3.0 :
cmd:
> hammer content-view update --id="511" --name="new_name"

<< Error: At least one of options --organization-id, --organization, --organization-label is required
Comment 5 Kedar Bidarkar 2017-09-10 17:33:57 EDT
[root@qe-sat6 ~]# hammer -u admin -p changeme content-view filter create --type="rpm" --content-view-id="2" --name="test" --inclusion="true"
Filter created


[root@qe-sat6 ~]# hammer -u admin -p changeme content-view filter list --content-view-id 2
----------|------|------|----------
FILTER ID | NAME | TYPE | INCLUSION
----------|------|------|----------
1         | test | rpm  | true     
----------|------|------|----------


for content-view update we do need to specify --organization-id.
This is same for products and ak's , that is for all katello components. so will move it to verified state.

VERIFIED with Sat6.3.0-snap15.0
Comment 6 Bryan Kearney 2018-02-21 11:45:04 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336
Comment 7 pm-sat@redhat.com 2018-02-21 11:51:07 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336

Note You need to log in before you can comment on or make changes to this bug.